Index: contrib/llvm/lib/Target/X86/X86Subtarget.cpp
===================================================================
--- contrib/llvm/lib/Target/X86/X86Subtarget.cpp	(revision 242480)
+++ contrib/llvm/lib/Target/X86/X86Subtarget.cpp	(working copy)
@@ -416,12 +416,12 @@ X86Subtarget::X86Subtarget(const std::string &TT,
   assert((!In64BitMode || HasX86_64) &&
          "64-bit code requested on a subtarget that doesn't support it!");
 
-  // Stack alignment is 16 bytes on Darwin, FreeBSD, Linux and Solaris (both
-  // 32 and 64 bit) and for all 64-bit targets.
+  // Stack alignment is 16 bytes on Darwin, Linux and Solaris (both 32 and 64
+  // bit) and for all 64-bit targets.
   if (StackAlignOverride)
-    stackAlignment = StackAlignOverride;
-  else if (isTargetDarwin() || isTargetFreeBSD() || isTargetLinux() ||
-           isTargetSolaris() || In64BitMode)
+	  stackAlignment = StackAlignOverride;
+  else if (isTargetDarwin() || isTargetLinux() || isTargetSolaris() ||
+           In64BitMode)
     stackAlignment = 16;
 }
 
